Take Screenshot
POST /v1/browser/interactions/screenshot
Take a screenshot of the browser session
Authentication
Requires authentication via: OAuth2PasswordBearer.
Parameters
| Name | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
X-API-Key | header | string | null | No | nullable |
Request Body
Required: Yes
application/json
Resolved schema:
{
"properties": {
"session_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Session Id"
},
"full_page": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Full Page",
"default": true
},
"clip": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
],
"title": "Clip"
},
"format": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Format",
"default": "png"
},
"quality": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Quality"
}
},
"type": "object",
"title": "BrowserScreenshotRequest",
"description": "Request schema for taking screenshots"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
session_id | string | null | No | nullable | |
full_page | boolean | null | No | nullable | |
clip | object | null | No | nullable | |
format | string | null | No | nullable | |
quality | integer | null | No | nullable |
Responses
200
Successful Response
application/json
Resolved schema:
{
"properties": {
"screenshot": {
"type": "string",
"title": "Screenshot"
},
"format": {
"type": "string",
"title": "Format"
},
"execution_time": {
"type": "number",
"title": "Execution Time"
},
"session_id": {
"type": "string",
"title": "Session Id"
},
"usage_info": {
"anyOf": [
{
"type": "object"
},
{
"type": "null"
}
],
"title": "Usage Info"
}
},
"type": "object",
"required": [
"screenshot",
"format",
"execution_time",
"session_id"
],
"title": "BrowserScreenshotResponse",
"description": "Response schema for screenshot operations"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
screenshot | string | Yes | ||
format | string | Yes | ||
execution_time | number | Yes | ||
session_id | string | Yes | ||
usage_info | object | null | No | nullable |
422
Validation Error
application/json
Resolved schema:
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}
Field details:
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
detail | array<object> | No | ||
detail[] | object | No | ||
detail[].loc | array<string | integer> | No | ||
detail[].loc[] | string | integer | No | ||
detail[].msg | string | No | ||
detail[].type | string | No |